## brickos 0.9.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -198,7 +198,7 @@
 
 EXTRA_DIST = Doxy* doc h8300.rcx configure
 
-DIST_COMMON =  README ChangeLog CONTRIBUTORS LICENSE VERSION Makefile* NEWS TODO README.use
+DIST_COMMON =  README ChangeLog CONTRIBUTORS LICENSE VERSION Makefile* NEWS TODO README.use README.usb
 
 
 #
