=== doc/Makefile ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 DOCBASE = INSTALL-cygwin
 DOCSRC = $(DOCBASE).sgml
-
-DOCBASE2 = HOWTO
-DOCSRC2 = $(DOCBASE2).sgml
 
 TEXT_DOCS = AvailableDocs.txt \
             Notes_on_intterupts \
@@ -20,7 +17,7 @@
 include ../Makefile.common
 
 #  out default target when doing make in this directory
-docs-build: $(DOCBASE).html $(DOCBASE2).html
+docs-build: $(DOCBASE).html
 
 # nothing to do for these (documents not built when running top-level build)
 all install uninstall depend tag::
@@ -39,7 +36,7 @@
 	@rm -f $(pkghtmldir)/HOWTO.html
 
 chkbuild:
-	@if [ ! -f $(DOCBASE).html -o ! -f $(DOCBASE2).html ] ;then \
+	@if [ ! -f $(DOCBASE).html ] ;then \
 		echo ""; \
 		echo "---------------------------------------------------------"; \
 		echo "  Documents are not built. Please run 'make doc' then "; \
@@ -61,15 +58,6 @@
 	rm -rf $(DOCBASE)
 	rm -f $(DOCBASE).html
 
-#  generate html and correct image path in top page
-$(DOCBASE2).html: $(DOCSRC2)
-	sgmltools -b html $(DOCBASE2)
-	sed -e 's/\/docbook-dsssl/images/' $(DOCBASE2)/t1.html >$@
-
-realclean::
-	rm -f $(DOCBASE2).html
-	rm -rf $(DOCBASE2)
-
 clean:
 	@# nothing to do here, but do this nothing silently
