=== debian/changelog ===
brickos (0.9.0.dfsg-15) unstable; urgency=medium

  * Clean-up patches filenames.
  * Add 015_no_lds_timestamp.patch, disabling timestamp in generated linker
    scripts. This is needed for reproducible build.
  * Split gcc5_hardening in three patches.
    Add 004_extern_inline.patch, enforcing extern inline behavior.
    Add 005_flags.patch, passing build flags for hardening.
    Add 006_fix_fprintf.patch, fixing usage of fprintf without format string.
    Drop dpkg-buildflags usage in upstream Makefile.
  * Pass build flags to build system.
  * Add 016_libexec.patch, installing binaries in libexec instead of lib.
  * Convert tabs to spaces in debian/copyright.
  * Update Standards-Version to 4.7.2, no change needed.
  * Enable Salsa CI using default template.
  * Make blhc ignore calls to the cross compiler to build target code.
  * Add 017_mkdir_bin.patch, creating binary directory on install.
  * Rework installation using recent debhelper idioms.
  * Reword packages description.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Tue, 08 Apr 2025 08:22:54 +0200

brickos (0.9.0.dfsg-14) unstable; urgency=medium

  * Team upload.

  [ Nicolas Schodet ]
  * Move back README and NEWS to main package. (Closes: #1100679)
  * Add missing perl dependency.
  * Lintian does not understand COFF files, add an override.
  * Fix man pages syntax.
  * Convert source file to UTF-8.
  * Add myself as an uploader.
  * Update to https at various places.
  * Do no strip COFF files.
  * Add 0012-no-custom-doxygen-style.patch, disabling doxygen customization.
  * Remove patch reproducible_remove_datetime, patched file is no longer used.
  * Add automatic package test.
  * Add 0013-no-cygwin-doc.patch, disabling cygwin documentation installation.
  * Drop docs.patch, corresponding documentation is no longer built.
  * Add 0014-fix-c++-makefile.patch, fixing C++ demo Makefile.
  * Fill patch headers to comply with DEP-3, combine hardening patches.
  * Refresh patches using git-buildpackage pq.
  * Remove trailing white space.
  * Refresh debian/watch.
  * Convert d/copyright to DEP-5 format, update copyright dates.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Mar 2025 08:42:35 +0100

brickos (0.9.0.dfsg-13) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian LEGO Team
    Closes: #1091823
  * ACK NMU (Closes: #841891)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Simplify d/rules and fix installation of some files
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2025 11:27:23 +0100

brickos (0.9.0.dfsg-12.2) unstable; urgency=medium

  * QA upload.
  * Switch to using docbook-utils.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Dec 2019 23:18:56 +0000

brickos (0.9.0.dfsg-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed arch independent build problem (Closes: #806000).
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Oct 2016 07:45:48 +0000

brickos (0.9.0.dfsg-12) unstable; urgency=low

  * Actually apply the patch for 787984. Sorry and thanks once more Maria
    Valentina Marin! (closes: #787984)

 -- Michael Tautschnig <mt@debian.org>  Mon, 15 Jun 2015 09:33:32 +0100

brickos (0.9.0.dfsg-11) unstable; urgency=low

  * Make brickos-doc build reproducible. Thanks Maria Valentina Marin for the
    patch. (closes: #787984)

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jun 2015 08:51:50 +0100

brickos (0.9.0.dfsg-10) unstable; urgency=low

  * Support arch-only build
  * Fix hurd-i386 build

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 Feb 2015 18:21:54 +0000

brickos (0.9.0.dfsg-9) unstable; urgency=low

  * Add -std=gnu89 to GCC's command line to enforce extern inline behaviour
    with GCC 5 (closes: #777807)
  * Also enable hardening build flags
  * Conforms with policy version 3.9.6
  * Integrated improved watch file. Thanks Bart Martens for putting it
    together.
  * Use system jquery in brickos-doc

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 Feb 2015 12:01:50 +0000

brickos (0.9.0.dfsg-8) unstable; urgency=low

  * Fix documentation build

 -- Michael Tautschnig <mt@debian.org>  Sun, 29 Jun 2014 17:12:27 +0100

brickos (0.9.0.dfsg-7) unstable; urgency=low

  * Cleanup of packaging: policy version 3.9.5, source format 3.0 (quilt)

 -- Michael Tautschnig <mt@debian.org>  Sun, 29 Jun 2014 11:13:43 +0100

brickos (0.9.0.dfsg-6) unstable; urgency=low

  * Using uscan version 3 watch file and syntax (closes: #462466)
  * Removed extranous whitespace in doc-base files

 -- Michael Tautschnig <mt@debian.org>  Fri, 25 Jan 2008 08:54:20 +0100

brickos (0.9.0.dfsg-5) unstable; urgency=low

  * New maintainer address.
  * Conforms with policy version 3.7.3.0
  * Uses Homepage: field in control file
  * Fixed debian/rules to support parallel builds
  * Added a watch file
  * Changed dependency on gcc-h8300-hms and binutils-h8300-hms to recommends
    instead (closes: #399748)

 -- Michael Tautschnig <mt@debian.org>  Thu, 06 Dec 2007 21:40:44 +0100

brickos (0.9.0.dfsg-4) unstable; urgency=medium

  * Added 002_kfreebsd to fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois
    (closes: #413871)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Thu, 08 Mar 2007 00:17:03 +0100

brickos (0.9.0.dfsg-3) unstable; urgency=high

  * build using gcc version 3.4.6 (closes: #400914)
  * dropped now useless ram size patch

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Fri, 12 Jan 2007 00:40:31 +0100


