=== debian/control ===
Source: brickos
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Michael Tautschnig <mt@debian.org>,
 Nicolas Schodet <nico@ni.fr.eu.org>,
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               binutils-h8300-hms,
               gcc-h8300-hms,
               doxygen
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-lego-team/brickos
Vcs-Git: https://salsa.debian.org/debian-lego-team/brickos.git
Homepage: https://brickos.sourceforge.net
Rules-Requires-Root: no

Package: brickos
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: binutils-h8300-hms,
            gcc-h8300-hms
Suggests: brickos-doc
Breaks: brickos-doc (= 0.9.0.dfsg-13)
Conflicts: legos
Replaces: legos, brickos-doc (= 0.9.0.dfsg-13)
Description: alternative OS for LEGO(r) Mindstorms RCX supporting C/C++
 A multitasking operating system with development environment for use
 as an alternative to the standard LEGO(r) Mindstorms RCX firmware.
 .
 For posts to/from other users: https://lugnet.com/robotics/rcx/legos/
 .
 (LEGO(r) is a trademark of the LEGO Group of companies.)

Package: brickos-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: brickos
Description: documentation for brickOS an Alternative OS for the RCX
 API Documentation for brickOS an alternative Operating System for the LEGO(r)
 Mindstorms RCX.
 .
 (LEGO(r) is a trademark of the LEGO Group of companies.)
