=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
	#  No hardening for target code.
	echo 'blhc: ignore-line-regexp: /usr/bin/h8300-.*'
	#  Compile/build the package.
	$(MAKE) prefix=/usr CFLAGS_FOR_HOST="$(CFLAGS) $(CPPFLAGS)" LDFLAGS_FOR_HOST="$(LDFLAGS)"

override_dh_auto_build-indep:
	#  Compile/build the arch indep package.
	$(MAKE) docs-build prefix=/usr

override_dh_auto_clean:
	#  Clean up after the build process.
	rm -f doc/doxygen_sqlite3.db
	[ ! -e Makefile ] || $(MAKE) realclean
	rm -f .configured.flg
	cp debian/Makefile.common .
	dh_auto_clean

override_dh_auto_install-arch:
	$(MAKE) install inst_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr mandir=$(CURDIR)/debian/tmp/usr/share/man
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/brickos/examples/demo/c++/.depend
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/brickos/examples/demo/.depend
	cp -f [NR]* $(CURDIR)/debian/tmp/usr/share/doc/brickos

override_dh_auto_install-indep:
	$(MAKE) docs-install inst_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr

override_dh_installdocs:
	dh_installdocs
	# system jquery
	[ ! -d $(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/ ] || \
		for l in c++ c kern ; do \
			$(RM) $(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/html-$$l/jquery.js ; \
			ln -s /usr/share/javascript/jquery/jquery.js \
				$(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/html-$$l/jquery.js ; \
		done

override_dh_strip:
	# Not ELF files, those are target COFF.
	dh_strip -X.a
