=== debian/tests/control ===
Tests: build-examples
Depends: brickos, @recommends@
