=== debian/watch ===
version=4

opts="dversionmangle=s/\.dfsg\d*$//, repacksuffix=.dfsg" \
    https://sf.net/brickos/ \
    brickos-@ANY_VERSION@@ARCHIVE_EXT@
